#ifndef INCLUDED_CURVE_UTILITIES_H
#define INCLUDED_CURVE_UTILITIES_H

#pragma warning(disable : 4786)

class Point;

namespace CurveUtilities
{
	double binomialCoefficient(const unsigned int & n, const unsigned int & k);

	unsigned int factorial(const unsigned int & x);

	double raiseToIntegerPower(const double & x, const unsigned int & y);

	Point linearlyInterpolate(const Point & first_point, const Point & second_point, double t);
}

#endif